# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.003.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Riap command-line client shell",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "App-riap",
  "EXE_FILES" => [
    "bin/riap"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "App::riap",
  "PREREQ_PM" => {
    "CHI" => 0,
    "Carp" => 0,
    "Color::ANSI::Util" => 0,
    "Complete::Bash" => "0.27",
    "Complete::Util" => "0.12",
    "Config::IOD::Reader" => 0,
    "Data::Clean::JSON" => "0.13",
    "Data::Sah::Normalize" => 0,
    "Getopt::Long" => 0,
    "IO::Stty" => 0,
    "JSON::MaybeXS" => 0,
    "Log::Any::IfLOG" => "0.07",
    "Path::Naive" => "0.02",
    "Perinci::Access" => "0.37",
    "Perinci::Access::HTTP::Client" => "0.18",
    "Perinci::Access::Perl" => "0.87",
    "Perinci::CmdLine::Help" => 0,
    "Perinci::Result::Format" => 0,
    "Perinci::Sub::Complete" => "0.68",
    "Perinci::Sub::GetArgs::Argv" => "0.72",
    "Perinci::Sub::Util" => 0,
    "Perinci::Sub::Wrapper" => "0.83",
    "Signal::Safety" => 0,
    "Term::Detect::Software" => 0,
    "Term::ReadLine::Perl" => 0,
    "Term::Shell" => 0,
    "Time::HiRes" => 0,
    "URI" => 0,
    "parent" => 0,
    "strict" => 0,
    "utf8" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.36",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "CHI" => 0,
  "Carp" => 0,
  "Color::ANSI::Util" => 0,
  "Complete::Bash" => "0.27",
  "Complete::Util" => "0.12",
  "Config::IOD::Reader" => 0,
  "Data::Clean::JSON" => "0.13",
  "Data::Sah::Normalize" => 0,
  "File::Spec" => 0,
  "Getopt::Long" => 0,
  "IO::Handle" => 0,
  "IO::Stty" => 0,
  "IPC::Open3" => 0,
  "JSON::MaybeXS" => 0,
  "Log::Any::IfLOG" => "0.07",
  "Path::Naive" => "0.02",
  "Perinci::Access" => "0.37",
  "Perinci::Access::HTTP::Client" => "0.18",
  "Perinci::Access::Perl" => "0.87",
  "Perinci::CmdLine::Help" => 0,
  "Perinci::Result::Format" => 0,
  "Perinci::Sub::Complete" => "0.68",
  "Perinci::Sub::GetArgs::Argv" => "0.72",
  "Perinci::Sub::Util" => 0,
  "Perinci::Sub::Wrapper" => "0.83",
  "Signal::Safety" => 0,
  "Term::Detect::Software" => 0,
  "Term::ReadLine::Perl" => 0,
  "Term::Shell" => 0,
  "Test::More" => 0,
  "Time::HiRes" => 0,
  "URI" => 0,
  "parent" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

# modify generated Makefile to generate shell completion scripts. this piece
# is generated by Dist::Zilla::Plugin::GenShellCompletion version 0.11.
GEN_SHELL_COMPLETION:
{
    last unless grep { $^O eq $_ } ("aix","beos","cygwin","darwin","dragonfly","freebsd","gnukfreebsd","haiku","hpux","interix","irix","linux","midnightbsd","minix","mirbsd","netbsd","openbsd","sco","solaris");

    print "Modifying Makefile to generate shell completion on install\n";
    open my($fh), "<", "Makefile" or die "Can't open generated Makefile: $!";
    my $content = do { local $/; ~~<$fh> };

    $content =~ s/^(install :: pure_install doc_install)/$1 comp_install/m
        or die "Can't find pattern in Makefile (1)";

    $content =~ s/^(uninstall :: .+)/$1 comp_uninstall/m
        or die "Can't find pattern in Makefile (2)";

    $content .= qq|\ncomp_install :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::shcompgen; 1 }) { system "shcompgen", "--verbose", "generate", "--replace", ($$App::shcompgen::VERSION >= 0.15 ? ("--remove"):()), @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    $content .= qq|\ncomp_uninstall :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::shcompgen; 1 }) { system "shcompgen", "--verbose", "remove", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    open $fh, ">", "Makefile" or die "Can't write modified Makefile: $!";
    print $fh $content;
}
